
/*
 * This file contains functions that will be used to
 * interface with the IR sensors on the stomach of
 * the robot.
 *
 * @author John McGonnell
 */

#ifndef __IR_SENSOR_H_
#define __IR_SENSOR_H_

void initIR();

/**
	returns 8 bits. a '1' means that something black was detected.
*/
char getIR();

/**
	one boundry line sensor detected indicates a tag
	two boundry line sensors detected indicates a boundry line
*/

//used to detect the boundry line
#define LINE_L 0x20

//used to detect the boundry line
#define LINE_C 0x40

//used to detect the boundry line
#define LINE_R 0x80

//used to detect a tag not found by boundry line sensors
#define TAG_L 0x08

//used to detect a tag not found by boundry line sensors
#define TAG_R 0x10

//used to detect tags to the left of the RFID sensor
#define SENSOR_L 0x01

//used to detect tags under the RFID sensor
#define SENSOR_C 0X02

//used to detect tags to the right of the RFID sensor
#define SENSOR_R 0x04


#endif 
