
#include "menu.h"



#define menuTextTotalEntries 14
#define menuTextMaxStrLen 20

char menuText [menuTextTotalEntries][menuTextMaxStrLen]= {
"   AVR Robot Menu  ",
"  Up/down to change",
"    B to select    ",
"1. RFID Search     ",
"2. Firmware Test   ",
"3. Calibration Test",
"4. Nes Remote Test ",
"5. IR Sensor Test  ",
"6. RFID Scan Test  ",
"7. Triple Eight    ",
"8. Mario Theme     ",
"9. Charge Theme    ",
"10. Easter Egg     ", 
"11. Reboot         "};


//The choice is at index X. X - choiceOffset is the
//actual number of that choice.
const int choicesOffset = 2;


//What index the options start at
const int optionStart = 3;

//the last valid index of options
const int optionEnd = 13;

//the index of the title
const int title = 0;

//the index of the first explination
const int explination1 = 1;

//the index of the second explination
const int explination2 = 2;


byte menu()
{
    formatAndSendToLcd(1,menuText[title],menuTextMaxStrLen);
    formatAndSendToLcd(2,menuText[explination1],menuTextMaxStrLen);
    formatAndSendToLcd(3,menuText[explination2],menuTextMaxStrLen);

    int option = optionStart;

    formatAndSendToLcd(4,menuText[option],menuTextMaxStrLen);
    
    byte nes;
    do
    {
        //to avoid the user pushing a button down
        //and the menu moving multiple times, wait
        //until user releases button before continuing
        //next iteration

        while(getButtons() != 0);

        nes = getButtons();
        
        if(nes & UP_BUTTON)
        {
            option++;
            if(option > optionEnd)
            {
                option = optionStart;
            }
            
            formatAndSendToLcd(4,menuText[option],menuTextMaxStrLen);
        }
        
        if(nes & DOWN_BUTTON)
        {
            option--;
            if(option < optionStart)
            {
                option = optionEnd;
            }
            
            formatAndSendToLcd(4,menuText[option],menuTextMaxStrLen);
        }
        
        
    }
    while( (nes & B_BUTTON) == 0);
    
    return (option - choicesOffset);
}


